{{page-title (capitalize (t "new map"))}}

{{#if this.model}}
  <Manage::Container @title={{capitalize (t "new map")}} @breadcrumbs={{this.breadcrumbs}}>
    <:content>
      {{#unless @model.teams}}
        <Manage::Row>
          <div class="alert alert-danger" role="alert">
            <p>{{capitalize (t "team-needed-message")}}</p>
            <LinkTo @route="manage.teams.add" @query={{hash next="manage.maps.add"}} class="btn btn-secondary btn btn-add-team">
              <FaIcon @icon="plus" />
              {{capitalize (t "team")}}
            </LinkTo>
          </div>
        </Manage::Row>
      {{/unless}}

      <Manage::RowAdd @name="name" as |id|>
        <Input class="form-control input-name" id={{id}} @value={{@model.map.name}} placeholder={{capitalize (t "what is map name?")}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="description" as |id|>
        <Article::Editor @id={{id}} @value={{this.description}} @onChange={{this.changeDescriptionValue}} @allowNoHeading={{true}} class="article-with-borders" />
      </Manage::RowAdd>

      <Manage::RowAdd @name="team" as |id|>
        {{#if @model.teams}}
          <Input::Select id={{id}} @list={{@model.teams}} @value={{@model.map.visibility.team}} @onChange={{this.changeTeam}} />
        {{else}}
          <LinkTo @route="manage.teams.add" @query={{hash next="manage.maps.add"}} class="btn btn-secondary btn btn-add-team">
            <FaIcon @icon="plus" />
            {{capitalize (t "team")}}
          </LinkTo>
        {{/if}}
      </Manage::RowAdd>

      <Manage::Row @name="add">
        <button type="button" class="btn btn-primary btn-submit" {{on "click" this.save}} disabled={{this.model.map.isSaving}}>
          {{#if this.model.map.isSaving}}
            <FaIcon @icon="spinner" @spin={{true}} />
          {{/if}}

          {{capitalize (t "add")}}
        </button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{/if}}